import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import ogrenciPanel;

public class ogrenciFrame extends JFrame implements ActionListener
{
public ogrenciPanel o;
public ogrenciFrame(String s)
{
  super(s);
  Container c=getContentPane();
  c.setLayout(new FlowLayout());
  o=new ogrenciPanel();
  c.add(o);
  o.x[2].addActionListener(this);
  }

public void actionPerformed(ActionEvent e)
{
for(int i=0;i<3;i++)
o.si[i]=o.x[i].getText();
}

//=====================================================

      public static String[] showInputDialog(String s)
      {
      ogrenciFrame pencere= new ogrenciFrame(s);
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(400,200);
      pencere.setVisible(true);
      return pencere.o.si;
      }
}
